Skip to content

List image templates

GET/v1/image-templates

GET
/v1/image-templates
curl --request GET \
--url 'https://api.ligr.live/rest/v1/image-templates?entityType=player&sport=football&limit=200&offset=0' \
--header 'Authorization: Bearer <token>'

Return a page of your organization’s image templates, sorted by id.

entityType

The kind of entity a template holds one image for.

string
Allowed values: player team competition

Only return templates for this kind of entity

sport
string
Allowed values: football rugbyUnion rugbyLeague netball cricket futsal iceHockey fieldHockey waterPolo handBall lacrosse touchFootball ausRules basketball rugbySevens gridiron volleyball baseball tennis

Only return templates for this sport

limit
number format: double
default: 200

The maximum number of templates to return

offset
number format: double
0

The number of templates to skip

Ok

Media typeapplication/json
object
imageTemplates
required
Array<object>

One image slot, such as a player cut-out or a team banner, with a fixed pixel size. Each player, team or competition of the entity type can hold one image for the template.

object
id
required

Entity identifier

integer format: int32
>= 1
name
required
string
width
required

Pixel width every image of the template must have.

number format: double
height
required

Pixel height every image of the template must have.

number format: double
entityType
required

The kind of entity a template holds one image for.

string
Allowed values: player team competition
sport
required
string
Allowed values: football rugbyUnion rugbyLeague netball cricket futsal iceHockey fieldHockey waterPolo handBall lacrosse touchFootball ausRules basketball rugbySevens gridiron volleyball baseball tennis
defaultImageUrl
required

URL of the default image. Null: the template has no default image.

string
nullable
defaultFileId
required

File id of the default image. Send it as defaultFileId on a Rive asset exposure to use it as the fallback image. Null: the template has no default image.

number format: double
nullable
createdAt
required
string
updatedAt
required
string
total
required
number format: double
returned
required
number format: double
Example
{
"imageTemplates": [
{
"entityType": "player",
"sport": "football"
}
]
}

Request is invalid

Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{
"message": "example",
"details": {
"additionalProperty": "example"
}
}

Missing or invalid api key

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Api key provides insufficient access for the request

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Image template not found

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Organization has made too many requests

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

An unexpected error has occured. If problems persist please contact support

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}